@if (authenticatedUser$ | async; as user) {
  <div
    class="full-width full-height flex-column overflow-hidden admin-workspace-grid-container p-l-10"
    #gridContainer
  >
    <span class="flex-fixed-size admin-workspace-main-title">{{
      'sqtm-core.administration-workspace.projects.title' | translate
    }}</span>
    <div class="flex-fixed-size flex-row admin-workspace-grid-toolbar">
      <div class="flex-grow"></div>
      @if (user.admin) {
        <div
          class="flex-fixed-size"
          [attr.data-test-toolbar-id]="'project-toolbar'"
        >
          <i
            nz-icon
            nz-dropdown
            [nzDropdownMenu]="creationMenu"
            nzType="sqtm-core-generic:add"
            nzTheme="outline"
            class="current-workspace-button action-icon-size"
            [attr.data-test-toolbar-button-id]="'create-button'"
          >
          </i>
        </div>
      }
      <div class="flex-fixed-size">
        <sqtm-core-grid-export-menu
          [exportContent]="
            'sqtm-core.administration-workspace.projects.grid.export'
              | translate
          "
          [workspaceName]="
            'sqtm-core.administration-workspace.label.short' | translate
          "
          [fileFormat]="'csv'"
        >
        </sqtm-core-grid-export-menu>
      </div>
    </div>
    <div
      class="flex-column full-height overflow-hidden sqtm-large-grid-container p-10"
    >
      <sqtm-core-text-research-field
        [attr.data-test-element-id]="'project-filter-field'"
        (newResearchValue)="filterProjects($event)"
        class="sqtm-core-multi-research-field"
      >
      </sqtm-core-text-research-field>
      <sqtm-core-grid class="full-height"></sqtm-core-grid>
    </div>
  </div>
}

<nz-dropdown-menu #creationMenu="nzDropdownMenu">
  <ul nz-menu [attr.data-test-menu-id]="'create-menu'">
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'new-project'"
      (click)="openProjectCreationDialog()"
    >
      {{
        'sqtm-core.administration-workspace.grid.button.new-project' | translate
      }}
    </li>
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'new-template'"
      (click)="openTemplateCreationDialog()"
    >
      {{
        'sqtm-core.administration-workspace.grid.button.new-template'
          | translate
      }}
    </li>
    <li
      nz-menu-item
      [attr.data-test-menu-item-id]="'new-template-from-project'"
      [nzDisabled]="this.$isSelectedRowTemplate()"
      (click)="
        this.$isSelectedRowTemplate()
          ? $event.stopPropagation()
          : openTemplateFromProjectCreationDialog()
      "
    >
      {{
        'sqtm-core.administration-workspace.grid.button.new-template-from-project'
          | translate
      }}
    </li>
  </ul>
</nz-dropdown-menu>
